<?php 
require_once "../modelos/Relacionarticuloterminadonegocio.php";

$relacionarticuloterminadonegocio   =   new Relacionarticuloterminadonegocio();

$idarticuloi                          =   isset($_POST["idarticuloi"])? limpiarCadena($_POST["idarticuloi"]):"";
$idrelacionarticuloterminadonegocio  =   isset($_POST["idrelacionarticuloterminadonegocio"])? limpiarCadena($_POST["idrelacionarticuloterminadonegocio"]):"";
$idarticulo                             =   isset($_POST["idarticulo"])? limpiarCadena($_POST["idarticulo"]):"";


switch ($_GET["op"]) {
  case 'guardaryeditar':
    if (empty($idrelacionarticuloterminadonegocio)) {
        $rspta=$relacionarticuloterminadonegocio->insertar($idarticulo,$idarticuloi);
        echo $rspta ? "Datos registrados correctamente" : "No se pudo registrar los datos";
    }else{
        $rspta=$relacionarticuloterminadonegocio->editar($idrelacionarticuloterminadonegocio,$idarticulo,$idarticuloi);
        echo $rspta ? "Datos actualizados correctamente" : "No se pudo actualizar los datos";
    }
	break;
	
	case 'selectSubzona':
		$rspta 			= $relacionarticuloterminadonegocio->listarv();
		$valorinicio	= 0;
		$valornombre	= 'Seleccione una Sub-Zona';
		echo '<option value='.$valorinicio.'>'.$valornombre.'</option>';
		while ($reg = $rspta->fetch_object()) {
			echo '<option value='.$reg->idarticuloi.'>'.$reg->nombre.'</option>';
		}
	break;

	case 'selectGerente':
		$rspta 			= $relacionarticuloterminadonegocio->listarg();
		$valorinicio	= 0;
		$valornombre	= 'Seleccione un Gerente';
		echo '<option value='.$valorinicio.'>'.$valornombre.'</option>';
		while ($reg = $rspta->fetch_object()) {
			echo '<option value='.$reg->idarticuloi.'>'.$reg->nombre.'</option>';
		}
	break;

	case 'eliminar':
		$rspta=$relacionarticuloterminadonegocio->eliminar($idrelacionarticuloterminadonegocio);
		echo $rspta ? "Datos eliminados correctamente" : "No se pudo eliminar los datos";
	break;

	case 'desactivar':
		$rspta=$relacionarticuloterminadonegocio->desactivar($idrelacionarticuloterminadonegocio);
		echo $rspta ? "Datos desactivados correctamente" : "No se pudo desactivar los datos";
	break;

	case 'activar':
		$rspta=$relacionarticuloterminadonegocio->activar($idrelacionarticuloterminadonegocio);
		echo $rspta ? "Datos activados correctamente" : "No se pudo activar los datos";
	break;
	
	case 'mostrar':
		$rspta=$relacionarticuloterminadonegocio->mostrar($idrelacionarticuloterminadonegocio);
		echo json_encode($rspta);
	break;

			
	case 'buscarcliente':
		$rspta=$relacionarticuloterminadonegocio->buscarcliente($tipo_documento,$num_documento);
		echo json_encode($rspta);
	break;
	
	case 'buscarproveedor':
		$rspta=$relacionarticuloterminadonegocio->buscarproveedor($tipo_documento,$num_documento);
		echo json_encode($rspta);
	break;

	case 'listar':
		$rspta  =$relacionarticuloterminadonegocio->listar();
		$data   =Array();

		while ($reg=$rspta->fetch_object()) {
			$data[]=array(
            "0"=>($reg->condicion)?'<button class="btn btn-warning btn-xs" 
            onclick="mostrar('.$reg->idrelacionarticuloterminadonegocio.')"><i class="fa fa-pencil"></i></button>'.' '.'
            <button class="btn btn-danger btn-xs" onclick="desactivar('.$reg->idrelacionarticuloterminadonegocio.')">
            <i class="fas fa-times"></i></button>':'<button class="btn btn-warning btn-xs" 
            onclick="mostrar('.$reg->idrelacionarticuloterminadonegocio.')"><i class="fa fa-pencil"></i></button>'.' '.'
            <button class="btn btn-primary btn-xs" onclick="activar('.$reg->idrelacionarticuloterminadonegocio.')">
            <i class="fa fa-check"></i></button>',
            "1"=>'<div style="text-align:center">'.$reg->articulomayor.'</div>',
            "2"=>'<div style="text-align:center">'.$reg->articuloindividual.'</div>',
            "3"=>($reg->condicion)?'<div style="text-align:center"><span class="badge bg-green">Activado</span></div>':'<div style="text-align:center"><span class="badge bg-red">Desactivado</span></div>'
            );
		}
		$results=array(
             "sEcho"=>1,//info para datatables
             "iTotalRecords"=>count($data),//enviamos el total de registros al datatable
             "iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
             "aaData"=>$data); 
		echo json_encode($results);
	break;
}
 ?>